PHP Manual
Prev |  | Next

# gzgetc

(PHP 3, PHP 4, PHP 5)

gzgetc -- Get character from gz-file pointer

## Description

string gzgetc ( resource zp )

Returns a string containing a single (uncompressed) character read from the given gz-file pointer.

## Parameters

zp

  The gz-file pointer. It must be valid, and must point to a file successfully opened by gzopen().

## Return Values

The uncompressed character or `FALSE` on EOF (unlike gzeof()).

## Examples

Example 1. gzgetc() example

`<?php $gz = gzopen('somefile.gz', 'r'); while (!gzeof($gz)) { echo gzgetc($gz); } gzclose($gz); ?>`

## See Also

gzopen()
gzgets()

Prev | Home | Next
gzfile | Up | gzgets